Package Details: flasm 1.63-3

Git Clone URL: https://aur.archlinux.org/flasm.git (read-only, click to copy)
Package Base: flasm
Description: SWF (Flash) ActionScript bytecode assembler and disassembler
Upstream URL: http://flasm.sourceforge.net/
Keywords: ActionScript assembler bytecode compiler decompiler disassembler Flash SWF
Licenses: custom:BSD
Submitter: felix.s
Maintainer: CyberShadow
Last Packager: felix.s
Votes: 4
Popularity: 0.000000
First Submitted: 2016-05-26 11:08
Last Updated: 2017-08-01 15:56

Latest Comments

mansuetus commented on 2020-10-19 18:31

there is a new version available : diff between versions :

orig : http://freebsd.sin.openmirrors.asia/pub/FreeBSD/ports/local-distfiles/kuriyama/flasm16src.zip
new : //www.nowrap.de/download/flasm16src.zip (the one from repo that as a failure on sha512sum).

diff --color ../tmp/CHANGES.TXT ./CHANGES.TXT
0a1,3
> Flasm 1.64
> - Fix for changed in_word_set() parameter type
> 
Seulement dans .: flasm16src.zip
diff --color ../tmp/keywords.gperf ./keywords.gperf
14c14
< struct keyword *in_word_set(register const char *str, register unsigned int len);
---
> struct keyword *in_word_set(register const char *str, register size_t len);
diff --color ../tmp/util.h ./util.h
13c13
< #define   FLASM_VERSION       "1.63"
---
> #define   FLASM_VERSION       "1.64"
50c50
< extern struct keyword *in_word_set(register const char *str, register unsigned int len);
---
> extern struct keyword *in_word_set(register const char *str, register size_t len);

CyberShadow commented on 2017-04-21 02:31

Fails to build:

keywords.gperf:76:1: error: conflicting types for ‘in_word_set’